\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-10,2) rectangle (-7,5);
\fill[line width=1pt,color=C3,fill=C3] (-8.5,4.866025403784438) -- (-9,4) -- (-9.86602540378444,3.5) -- (-9,3) -- (-8.5,2.1339745962155616) -- (-8,3) -- (-7.133974596215561,3.5) -- (-8,4) -- cycle;
\draw [line width=1pt] (-8.5,4.866025403784438)-- (-9,4);
\draw [line width=1pt] (-8.621076951545868,4.416313972081441) -- (-8.828923048454133,4.536313972081441);
\draw [line width=1pt] (-8.671076951545867,4.3297114317029965) -- (-8.878923048454133,4.449711431702997);
\draw [line width=1pt] (-9,4)-- (-9.86602540378444,3.5);
\draw [line width=1pt] (-9.329711431702998,3.671076951545867) -- (-9.449711431703,3.8789230484541326);
\draw [line width=1pt] (-9.416313972081442,3.6210769515458674) -- (-9.536313972081441,3.828923048454133);
\draw [line width=1pt] (-9.86602540378444,3.5)-- (-9,3);
\draw [line width=1pt] (-9.416313972081442,3.3789230484541326) -- (-9.536313972081441,3.171076951545867);
\draw [line width=1pt] (-9.329711431702998,3.328923048454133) -- (-9.449711431703,3.1210769515458674);
\draw [line width=1pt] (-9,3)-- (-8.5,2.1339745962155616);
\draw [line width=1pt] (-8.671076951545867,2.670288568297003) -- (-8.878923048454133,2.5502885682970033);
\draw [line width=1pt] (-8.621076951545868,2.583686027918559) -- (-8.828923048454133,2.463686027918559);
\draw [line width=1pt] (-8.5,2.1339745962155616)-- (-8,3);
\draw [line width=1pt] (-8.378923048454133,2.583686027918559) -- (-8.171076951545867,2.463686027918559);
\draw [line width=1pt] (-8.328923048454133,2.670288568297003) -- (-8.121076951545868,2.5502885682970033);
\draw [line width=1pt] (-8,3)-- (-7.133974596215561,3.5);
\draw [line width=1pt] (-7.670288568297003,3.328923048454133) -- (-7.5502885682970025,3.1210769515458674);
\draw [line width=1pt] (-7.583686027918558,3.3789230484541326) -- (-7.463686027918558,3.171076951545867);
\draw [line width=1pt] (-7.133974596215561,3.5)-- (-8,4);
\draw [line width=1pt] (-7.583686027918558,3.6210769515458674) -- (-7.463686027918558,3.828923048454133);
\draw [line width=1pt] (-7.670288568297003,3.671076951545867) -- (-7.5502885682970025,3.8789230484541326);
\draw [line width=1pt] (-8,4)-- (-8.5,4.866025403784438);
\draw [line width=1pt] (-8.328923048454133,4.3297114317029965) -- (-8.121076951545868,4.449711431702997);
\draw [line width=1pt] (-8.378923048454133,4.416313972081441) -- (-8.171076951545867,4.536313972081441);
\draw [line width=1pt] (-8.5,4.866025403784438)-- (-9,4);
\draw [line width=1pt] (-9,4)-- (-9.86602540378444,3.5);
\draw [line width=1pt] (-9.86602540378444,3.5)-- (-9,3);
\draw [line width=1pt] (-9,3)-- (-8.5,2.1339745962155616);
\draw [line width=1pt] (-8.5,2.1339745962155616)-- (-8,3);
\draw [line width=1pt] (-8,3)-- (-7.133974596215561,3.5);
\draw [line width=1pt] (-7.133974596215561,3.5)-- (-8,4);
\draw [line width=1pt] (-8,4)-- (-8.5,4.866025403784438);
\draw [line width=1pt] (-8,4)-- (-9,4);
\draw [line width=1pt] (-9,4)-- (-9,3);
\draw [line width=1pt] (-9,3)-- (-8,3);
\draw [line width=1pt] (-8,3)-- (-8,4);
\end{tikzpicture}
\end{document}